# Install

create database `example-update-massive`

configure `.env`

```dotenv
DB_CONNECTION=pgsql
DB_HOST=postgres
DB_PORT=5432
DB_DATABASE=example-update-massive
DB_USERNAME=default
DB_PASSWORD=secret

QUEUE_CONNECTION=database

ITEMS_COUNT=10000
```

`ITEMS_COUNT` é a variavel que irá definir quantos registros a fatory irá criar no banco de dados.

run migrate;

```shell
php artisan migrate:fresh --seed
```

# Result

| Transactions | Method            |   time seconds |
|-------------:|-------------------|---------------:|
|         1000 | UpdateMassive1Job |          1,00s |
|         1000 | UpdateMassive2Job |          0,01s |
|         1000 | UpdateMassive3Job |          1,00s |
|         1000 | UpdateMassive4Job |          0,08s |
|         1000 | UpdateMassive5Job |          0,06s |
|        10000 | UpdateMassive1Job |         14,00s |
|        10000 | UpdateMassive2Job |          0,14s |
|        10000 | UpdateMassive3Job |         14,00s |
|        10000 | UpdateMassive4Job |          0,73s |
|        10000 | UpdateMassive5Job |          0,59s |
|       100000 | UpdateMassive1Job |   (2m) 156,00s |              
|       100000 | UpdateMassive2Job |          1,00s |      
|       100000 | UpdateMassive3Job |   (2m) 164,00s |          
|       100000 | UpdateMassive4Job |          8,00s |      
|       100000 | UpdateMassive5Job |          7,00s |      
|      1000000 | UpdateMassive1Job | (26m) 1570,00s |              
|      1000000 | UpdateMassive2Job |         15,00s |          
|      1000000 | UpdateMassive3Job | (27m) 1630,00s |              
|      1000000 | UpdateMassive4Job |    (1m) 75,00s |              
|      1000000 | UpdateMassive5Job |         58,00s |          

